Recurring fees
/recurring-fees/preview
Preview Recurring Fees changes on a reservation
Authorization
apiKey X-API-Key<token>
API key provided in dashboard
In: header
Request Body
application/json
uniqueRef?string|null
name?string
formula*string
defaultRate?integer|null
icon?string|null
type*string
Value in
"managementFee" | "additionalFee" | "bookingChannelFee" | "cleaningFee" | "merchantFee"taxRateId?string|null
taxBehavior?string|null
revenueRecognition?string|null
status?string|null
rateType?string|null
creditAccountId?string|null
debitAccountId?string|null
creditParty?string|null
debitParty?string|null
bookingChannelsFilter?|null
statusFilter?string|null
accountTotalConditions?|null
listingSubscriptions?|null
id?string|null
reservationId*string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.vrplatform.app/recurring-fees/preview" \ -H "Content-Type: application/json" \ -d '{ "formula": "string", "type": "managementFee", "reservationId": "string" }'{
"totals": {
"tax": 0,
"manager": 0,
"owner": 0,
"reservation": 0,
"expense": 0,
"deposit": 0,
"guest": 0,
"fee": 0
},
"lines": [
{
"name": "string",
"type": "reservation",
"party": "owners",
"status": "active",
"amount": 0,
"inactiveReason": "reservationCancelled",
"fee": 0,
"account": {
"id": "string",
"name": "string",
"uniqueRef": "string",
"status": "active",
"type": "ledger"
},
"recurringFee": {
"id": "string",
"uniqueRef": "string",
"name": "string",
"type": "managementFee"
},
"transaction": {
"id": "string",
"status": "active",
"amount": -9007199254740991,
"account": {
"id": "string",
"name": "string",
"uniqueRef": "string",
"status": "active"
},
"date": "string",
"description": "string",
"currency": "string",
"type": "deposit",
"isOpeningBalance": true,
"contact": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"firstName": "string",
"uniqueRef": "string",
"shortRef": "string"
},
"connection": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"status": "active",
"uniqueRef": "string",
"appId": "string"
},
"uniqueRef": "string",
"shortRef": "string",
"recurringTemplate": {
"id": "string"
}
},
"line": {
"id": "string",
"type": "string",
"description": "string"
},
"postingDatePreview": {
"hasMore": true,
"entries": [
{
"postingDate": "string",
"amount": 0
}
]
},
"lock": {
"status": "locked",
"booksClosed": {
"date": "string"
},
"ownerStatement": {
"ids": [
"497f6eca-6276-4993-bfeb-53cbbbba6f08"
]
},
"reconciled": {
"bankRecordIds": [
"497f6eca-6276-4993-bfeb-53cbbbba6f08"
]
},
"statementPeriod": {
"hits": [
{
"listingId": "8c73d933-f7ed-437e-9da1-caac95adc1ae",
"txnAt": "string",
"openFrom": "string"
}
]
}
}
}
],
"id": "string"
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}